/**
 * label: string
 * icon: svg
 * href: https || /path
 * calloutClass: 'rainbow' || className
 * initialOpenState: true || false
 * items: array sample parent
 * att: attach => text || icon.png
 */
export declare const links: ({
    label: string;
    icon: string;
    href: string;
    calloutClass: string;
    initialOpenState?: undefined;
    items?: undefined;
    att?: undefined;
} | {
    label: string;
    icon: string;
    initialOpenState: boolean;
    items: {
        label: string;
        href: string;
    }[];
    href?: undefined;
    calloutClass?: undefined;
    att?: undefined;
} | {
    label: string;
    icon: string;
    att: string;
    href: string;
    calloutClass?: undefined;
    initialOpenState?: undefined;
    items?: undefined;
} | {
    label: string;
    icon: string;
    href: string;
    calloutClass?: undefined;
    initialOpenState?: undefined;
    items?: undefined;
    att?: undefined;
} | {
    label: string;
    icon: string;
    items: {
        label: string;
        href: string;
    }[];
    href?: undefined;
    calloutClass?: undefined;
    initialOpenState?: undefined;
    att?: undefined;
})[];
export declare const socials: ({
    label: string;
    icon: string;
    items: {
        label: string;
        href: string;
    }[];
    href?: undefined;
} | {
    label: string;
    icon: string;
    href: string;
    items?: undefined;
})[];
export declare const MENU_HEIGHT = 64;
export declare const MENU_ENTRY_HEIGHT = 55;
export declare const SIDEBAR_WIDTH_FULL = 210;
export declare const SIDEBAR_WIDTH_REDUCED = 56;
